##
## Purpose:
## This class is used by any recipes that are built using rust
## 

require_script rust_common_utils.sh

# the binary we will use
RUSTC="rustc"

RUSTC_ARCHFLAGS="${RUSTC_ARCHFLAGS} --target=${RUST_HOST_SYS} ${RUSTFLAGS}"

rustlib_suffix="${TUNE_ARCH}${TARGET_VENDOR}-${TARGET_OS}/rustlib/${RUST_HOST_SYS}/lib"
# Native sysroot standard library path
rustlib_src="${prefix}/lib/${rustlib_suffix}"
# Host sysroot standard library path
rustlib="${libdir}/${rustlib_suffix}"
rustlib:class-native="${libdir}/rustlib/${BUILD_SYS}/lib"
